12

When patching SQL Server: Apply the most recent Service Pack, then Apply the most recent Cumulative Update for that Service Pack. You never have to go through Service Packs or Cumulative Updates in order. Just use the most recent of each, in the order above.


11

You can apply SP2 for SQL 2014 without SP1 being installed first, then apply CU8 for SP2. Like Service Packs, cumulative updates are just that - cumulative - so you do not need to apply each incremental CU. But to install the latest SP2 CU, you first need to apply SP2.


9

I can do one better than Standard Edition, here is proof that it is available even in Express Edition (click to enlarge): As are all of the other features "they say" are enabled. Everything in this post is true, for example.


7

The ideal situation is to have a server that, in terms of OS and other software, exactly matches the production environment, upon which you can perform the update first. That way you know everything that is required. This would preferably be a VM that you could snapshot, so if you encounter and fix a problem you can revert to the snapshot and start again ...


7

Yes. You can read a summarized version of what 2016 SP1 brings to Standard Edition here However, as always, I'd recommend that you truly evaluate your actual needs before diving into partitioning. It is primarily a data management feature that sometimes allows for performance improvement (by partition elimination) in an extremely-controlled query ...


7

Your manager will be concerned about possible regressions and new bugs in the service pack (rare, but it has happened in the past) or one of your applications relying on an undefined behaviour that is changed by SP2. These are valid concerns and it is not recommended that you upgrade in production without first at least reading all the official change ...


7

Yes, you can upgrade directly to Service Pack 3. Service packs are cumulative; SP3 contains everything in SP2 and SP1. This has always been true for every version of SQL Server I’ve worked with, and I'm old. But for those needing to read this from MS documentation on their web site instead of peers answering questions here, here is one official source: ...


6

Windows Update isn't offering you a Service Pack for SQL Server 2012 to apply to your SQL Server 2014 instance; there is something else on your machine that is triggering it. Could be dozens of things, but most commonly: The SQL Server 2014 instance isn't the only instance on your machine. You may have SQL Express installed (on its own, or as part of Visual ...


6

You can just install SP2 and then CU10. No need to install CU for SP1. You can have a list of all SP + CU here More relevant info : If you have a large estate that needs to be patched, you can use dbatools - Update-DbaInstance Also, dbatools has a really nice - build reference page that will tell you what the latest SP/CU is and End of support dates as ...


5

Well one thing you may want to consider doing is validating your application(s) still work on a test instance that contains the same database and upgrading it to the newer service pack. While rare and usually changes are backward compatible, there could be behavior changes to things like the optimizer that would be impossible to guess exactly how they might ...


5

It looks like you are already at Service Pack 1 (this is why MSSQLSERVER is checked and greyed out). 11.0.3000 and 11.1.3000 are essentially the same thing, different files just have different reasons for exposing a different number in the middle - that number is really not relevant to your problem. So now you just need to download and install the latest CU ...


4

This happens because the msdb log file name has been changed from the default which is "MSDBLog". In my case, it was called "msdb_log". The name "MSDBLog" is hard-coded into the upgrade script so it fails if the name has been changed. To fix the problem, we need to rename the log file to 'MSDBLog'. We have to start SQL with trace flag 902 to stop it from ...


4

Cumulative updates are exactly that, cumulative. CU2 for example contains all of the fixes included in CU1. As such, the only SP or CU that matters is the last one to be applied which you can determine with: SELECT @@VERSION and Google or a reference list of SQL Server versions. SQLServerBuilds is the popular unofficial list, KB321185 is the official list. ...


4

Microsoft recommends you update to both the latest SP and the latest CU which means SP3 and CU2. As a side note if you used WSUS with the right classifications ticked this is how it would be updated "automatically". I wouldn't recommend this but it does help when explaining your update policy to users. For future versions you can also check http://...


4

Should I stop validation at "Check Files in Use" or "Ready to update"? Have I validated everything I can by the end of "Check Files in Use"? Just go ahead click NEXT and apply the service pack, you can safely ignore this process. The check files in use process is to handle scenario where end user does not want to restart after applying service pack in that ...


4

You can execute SELECT @@VERSION; Which will give you the relevant information (note the bold, italicised SP1 from the example results) Microsoft SQL Server 2012 (SP1) - 11.0.3000.0 (X64) Oct 19 2012 13:38:57 Copyright (c) Microsoft Corporation Developer Edition (64-bit) on Windows NT 6.2 (Build 9200: )


4

You need both SQL and Windows patches, as well as CPU microcode updates, to be fully** protected. GDR is meant to be security-only patches, whereas Cumulative Updates are bug fixes as well as security patches. Once you go from the GDR path on to the CU path, you're stuck there, i.e. you can't go back to GDR only. (Confusingly, this latest Meltdown / ...


4

I've seen this error on other versions of SQL Server on a legacy build. In my case, it was caused by the owner of a role or schema was not the default: Something like db_datareader was authorised by a user account (they no longer have sysadmin) How to recover? Could not restore master because the master database version was lower than the binaries ...


4

You actually want to keep up to date on service packs in SQL < 2014 as you won't get support after awhile if you don't. The support policy can be found here. Generally installing Service Packs is safe but for any production system please make sure you have a strong backup model in place and hopefully a test environment to simulate all changes for ...


3

You can't actually install a service pack for a previous product (2012) onto the current product. I would guess you have SQL Express or some shared components/management studio etc which is what the SP applies to. The easiest way to find out, assuming you aren't inventorying your server any other way would be to run the SP from the GUI and see what it ...


3

You are running SQL Server build 9.00.5294.00 that is more current than SP4 which is 9.00.5000. Your server has already been updated. (http://sqlserverbuilds.blogspot.com/) (Build 7601: Service Pack 1) is the version of the operating system.


3

The logs led us to review our Cluster services: There was an error to lookup cluster resources. Error: There was a failure to call cluster code from a provider. Exception message: Generic failure . Status code: 4104. Description: . HResult : 0x86d80014 FacilityCode : 1752 (6d8) ErrorCode : 20 (0014) Data: errorMessage = There was a failure to call ...


3

I would always err on the side of just installing the service pack again (it will know which components, if any, to update). Especially when adding client tools to a workstation - where this is not a major disruption. (And if you're adding BIDS to a production server, you should reconsider IMHO.)


3

Consider this as answer SP3 is new and thoroughly tested its highly unlikely it would create any issue but again I would recommend you not to proceed without any testing and that too when Cluster is involved. Also asking whether anybody faced issue will lead you in problem, what if somebody writes 'Yes I have done and its working fine' yes they are correct ...


3

You shouldn't have any issues, just be sure that when you plan your maintenance for SQL Server you don't get blocked by the "Restart Computer" rule. E.g. if you have installed Windows Updates in the meantime you might not know that Windows needs to be restarted until you enter your maintenance window... For some background, I got surprised by this during a ...


3

You should be able to apply the SP3 without dropping any merge replication publications. The order of upgrade should be to upgrade (1) distributor, then (2) publisher, then (3) subscribers. The SP3 is for SQL Server 2008, not the SQL CE 3.5 mobile tools. Since you are running merge replication then I assume that you have SQL CE 3.5 SP2. So all should be ...


3

You do not need to stand up new servers to apply a SP. 1 - Will installation of SQL Server service pack affect any of our production databases? We will do this in test 1st but still wanted to ask It should be fine but always apply them to a test environment and let them soak for a while just to be safe. Always a good idea to dig into the SP fixes ...


3

There's nothing you can do to fix it, I'm afraid, without a backup, you can't fix errors in system tables like this and I actually would've been surprised if installing SP4 would've worked. The best (and probably only) way to resolve this is to create a brand-new, clean install of SQL Server somewhere else, then restore all of users database there, and ...


3

I try control panel add/remove option but its remove all database instance. Please suggest That is not exactly the place from where you can uninstall SP, you have to go to add remove programs and then on top left you would see installed updates Click on view installed updates and you would see all updates for your computer and programs installed on it. ...


3

Most likely the application will work, however, generally when a vendor has this statement, they have not tested their application. They have not certified the application will still work once the SP or CU or version has been applied. Thusly, if you go to an "unsupported" version, they will not support you on any issues. I would not rely on a vendor's ...


Only top voted, non community-wiki answers of a minimum length are eligible